After some discussion on IRC, it seems like limiting the building of
binaries only for the default ABI is no subject to change, but the
following workaround suggested by ssuminem seems to have been accepted
by every side, so i will include the preferred patch in one week.

workaround: add a variable, which changes the return of the function
checking for the current ABI (always true with variable, without only
true, when $ABI == $DEFAULT_ABI)

first version (multilib1.patch) directly changes the output of the
currently used multilib_is_native_abi() function:

pro: no need to change already modified ebuilds

second version (multilib2.patch) creates a new function, which should
then be used by ebuild authors to check, if they should build
ABI-specific content or not (using build_binaries() function instead of
multilib_is_native_abi() function)

pro: seperate function, so multilib_is_native_abi() can still be used,
when really just one build is needed for everyone

Happy bikesh(r)edding

-- 

Thomas Sachau
Gentoo Linux Developer
--- /usr/portage/eclass/multilib-build.eclass	2013-08-08 20:57:54.000000000 +0200
+++ multilib-build.eclass	2013-08-25 15:28:10.000000000 +0200
@@ -373,7 +373,11 @@
 
 	[[ ${#} -eq 0 ]] || die "${FUNCNAME}: too many arguments"
 
-	[[ ${ABI} == ${DEFAULT_ABI} ]]
+	if [[ ${COMPLETE_MULTILIB} == yes ]] ; then
+		return 0
+	else
+		[[ ${ABI} == ${DEFAULT_ABI} ]]
+	fi
 }
 
 _MULTILIB_BUILD=1
--- /usr/portage/eclass/multilib-build.eclass	2013-08-08 20:57:54.000000000 +0200
+++ multilib-build.eclass	2013-08-25 15:30:40.000000000 +0200
@@ -376,5 +376,17 @@
 	[[ ${ABI} == ${DEFAULT_ABI} ]]
 }
 
+build_binaries() {
+	debug-print-function ${FUNCNAME} "${@}"
+
+	[[ ${#} -eq 0 ]] || die "${FUNCNAME}: too many arguments"
+
+	if [[ ${COMPLETE_MULTILIB} == yes ]] ; then
+		return 0
+	else
+		multilib_is_native_abi
+	fi
+}
+		
 _MULTILIB_BUILD=1
 fi

Attachment: signature.asc
Description: OpenPGP digital signature

Reply via email to